#ifndef TORICEXTREMAL_H //inclusion guard
#define TORICEXTREMAL_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif



double cutoffFunct(double y);
double smallprod(int n,int r);
bool inSquare(int p, int q, int sideLength);
int cyclic(int r, int N, int i); //for 0<=r<N, i in {-1,1}, returns r+i mod N
double XlogX(double x);
double lowpow(double y,int n); //returns y to the power of n for -5 <= n <= 5


void skipline(ifstream & mystream); //skips the next 1000 characters in a stream or until a new line is reached.


#endif //TORICEXTREMAL_H
